using UnityEngine;
using System.Collections;

public class EnemyDictionary {

    private Vector3 position;
    private string name;
    private int level;
    private int attack;
    private int health;
    private string plane;
    private int id;
    private string pathToPrefab;

    public EnemyDictionary(string line) {
        string[] data = line.Split(',');
        this.plane = data[0];
        this.id = int.Parse(data[1]);
        this.level = int.Parse(data[2]);
        this.attack = int.Parse(data[3]);
        this.health = int.Parse(data[4]);
        this.name = data[5];
        this.position[0] = float.Parse(data[6], System.Globalization.CultureInfo.InvariantCulture.NumberFormat);
        this.position[1] = float.Parse(data[7], System.Globalization.CultureInfo.InvariantCulture.NumberFormat);
        this.position[2] = float.Parse(data[8], System.Globalization.CultureInfo.InvariantCulture.NumberFormat);
        this.pathToPrefab = data[9];
    }


    public Vector3 getPosition() { return this.position; }
    public int getHealth() { return this.health; }
    public int getAttack() { return this.attack; }
    public int getLevel() { return this.level; }
    public string getName() { return this.name; }
    public int getId() { return this.id; }
    public string getPathToPrefab() { return this.pathToPrefab; }

}
